<!--
 Copyright © VNG Realisatie 2024
 Licensed under the EUPL
-->

{{ define "content" }}
    <div class="service-publications-page">
        <div class="service-publications-page__actions-bar">
            <a
                href="/services/publications/active"
                class="service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "active" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-megaphone" "icon icon--inline" }}
                {{ i18n "Active" }}

                {{ if eq .SelectedTab "active" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <a
                href="/services/publications/proposed"
                class="service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "proposed" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-mail-send-line" "icon icon--inline" }}
                {{ i18n "Proposed" }}

                {{ if eq .SelectedTab "proposed" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <a
                href="/services/publications/archive"
                class="service-publications-page__actions-bar__button button--secondary {{ if eq .SelectedTab "archive" }}
                    active
                {{ end }}"
            >
                {{ svg "icon-archive-line" "icon icon--inline" }}
                {{ i18n "Archived" }}

                {{ if eq .SelectedTab "archive" }}
                    ({{ .AmountOfPublications }})
                {{ end }}
            </a>

            <div
                class="service-publications-page__actions-bar__button-add-publication"
            >
                <a href="/services/publish" class="button--primary">
                    {{ svg "icon-plus" "icon--inline" }}
                    {{ i18n "Add publication" }}
                </a>
            </div>
        </div>

        {{ if and (eq (len .Publications) 0) (not .PaginationNextCursor) }}
            <div class="service-publications-page__no-results">
                {{ i18n "No Publications available" }}
            </div>
            <div id="pagination"></div>
        {{ else if and (eq (len .Publications) 0) (.PaginationNextCursor) }}
            <div id="pagination">
                <div class="service-publications-page__no-results">
                    {{ i18n "No more Publications available" }}.
                    <a href="/services/publications/{{ .SelectedTab }}"
                        >{{ i18n "Back to top" }}.</a
                    >
                </div>
            </div>
        {{ else }}
            <div id="publications">
                <table>
                    <thead>
                        <tr>
                            <th
                                class="service-publications-page__publications-table__contract-status-column"
                            ></th>
                            <th
                                class="service-publications-page__publications-table__column"
                            >
                                {{ i18n "Service" }}
                            </th>
                            <th
                                class="service-publications-page__publications-table__column"
                            >
                                {{ i18n "Directory" }}
                            </th>
                            <th
                                class="service-publications-page__publications-table__column"
                            >
                                {{ i18n "On behalf of" }}
                            </th>
                            <th
                                class="service-publications-page__publications-table__column"
                            >
                                {{ i18n "Created at" }}
                            </th>
                            <th
                                class="service-publications-page__publications-table__column"
                            >
                                {{ i18n "Valid from" }}
                            </th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        {{ range .Publications }}
                            <tr
                                class="tr--link"
                                hx-get="/contract/{{ .ContentHash }}?back_button_url={{ $.ContractDetailBackButtonURLPath }}#{{ .GrantHashURLFriendly }}"
                                hx-push-url="true"
                                hx-swap="innerHTML"
                                hx-target="body"
                            >
                                <td
                                    class="service-publications-page__publications-table__contract-status-column"
                                >
                                    {{ block "contract-status" . }}{{ end }}
                                </td>
                                <td>{{ .ServiceName }}</td>
                                <td>
                                    {{ .DirectoryPeerName }}<br />
                                    <small>{{ .DirectoryPeerID }}</small>
                                </td>
                                <td>
                                    {{ .DelegatorPeerName }}<br />
                                    <small>{{ .DelegatorPeerID }}</small>
                                </td>
                                <td>
                                    <time
                                        data-format="LLL"
                                        datetime="{{ .CreatedAt }}"
                                        >{{ .CreatedAt }}</time
                                    >
                                </td>
                                <td>
                                    <time
                                        data-format="LLL"
                                        datetime="{{ .ValidNotBefore }}"
                                        >{{ .ValidNotBefore }}</time
                                    >
                                </td>
                                <td class="td--link">
                                    <a
                                        href="/contract/{{ .ContentHash }}#{{ .GrantHashURLFriendly }}"
                                    >
                                        {{ svg "icon-chevron-right" "icon" }}
                                    </a>
                                </td>
                            </tr>
                        {{ end }}
                    </tbody>
                </table>
            </div>

            <br />
            <br />

            {{ if (lt (len .Publications) .PaginationLimit) }}
                <div id="pagination">
                    <div class="service-publications-page__no-results">
                        {{ i18n "No more Publications available" }}.
                        <a href="/services/publications/{{ .SelectedTab }}"
                            >{{ i18n "Back to top" }}.</a
                        >
                    </div>
                </div>
            {{ else }}
                <nav>
                    <ol id="pagination" class="pagination" hx-boost="true">
                        <li>
                            <a
                                href="/services/publications/{{ .SelectedTab }}?pagination_cursor={{ .PaginationNextCursor }}"
                                hx-select="tbody tr"
                                hx-target="tbody"
                                hx-swap="beforeend show:none"
                                hx-select-oob="#pagination"
                                >{{ i18n "Show more Publications" }}</a
                            >
                        </li>
                    </ol>
                </nav>
            {{ end }}
        {{ end }}
    </div>

    <p
        class="service-publications-page__loading-message loading-message"
        role="progressbar"
    >
        {{ svg "icon-spinner" "loading-message__spinner icon--inline" }}
        {{ i18n "Loading…" }}
    </p>
{{ end }}
